Bug 1918961 - [IPI on vsphere] Executing 'openshift-installer destroy cluster' leaves installer tag categories in vsphere
Summary: [IPI on vsphere] Executing 'openshift-installer destroy cluster' leaves insta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: x86_64
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.z
Assignee: aos-install
QA Contact: jima
URL:
Whiteboard:
Depends On: 1882844
Blocks: 1918962
TreeView+ depends on / blocked
 
Reported: 2021-01-21 18:56 UTC by Patrick Dillon
Modified: 2021-02-08 13:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1882844
: 1918962 (view as bug list)
Environment:
Last Closed: 2021-02-08 13:51:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4579 0 None closed [release-4.6] Bug 1918961: vsphere destroy: delete tag category created by installer 2021-02-05 15:44:37 UTC
Red Hat Product Errata RHSA-2021:0308 0 None None None 2021-02-08 13:51:57 UTC

Comment 3 jima 2021-01-29 08:29:34 UTC
Also verified on 4.6.0-0.nightly-2021-01-28-234643, and passed.

# ./openshift-install destroy cluster --dir install-dir/ --log-level debug
DEBUG OpenShift Installer 4.6.0-0.nightly-2021-01-28-234643 
DEBUG Built from commit 8a1ec01353e68cb6ebb1dd890d684f885c33145a 
DEBUG find attached objects on tag                 
DEBUG find VirtualMachine objects                  
DEBUG delete VirtualMachines                       
INFO Destroyed                                     VirtualMachine=jima012903-9w5w8-rhcos
DEBUG Powered off                                   VirtualMachine=jima012903-9w5w8-master-2
INFO Destroyed                                     VirtualMachine=jima012903-9w5w8-master-2
DEBUG Powered off                                   VirtualMachine=jima012903-9w5w8-master-1
INFO Destroyed                                     VirtualMachine=jima012903-9w5w8-master-1
DEBUG Powered off                                   VirtualMachine=jima012903-9w5w8-master-0
INFO Destroyed                                     VirtualMachine=jima012903-9w5w8-master-0
DEBUG Powered off                                   VirtualMachine=jima012903-9w5w8-worker-dr94c
INFO Destroyed                                     VirtualMachine=jima012903-9w5w8-worker-dr94c
DEBUG Powered off                                   VirtualMachine=jima012903-9w5w8-worker-h5n2s
INFO Destroyed                                     VirtualMachine=jima012903-9w5w8-worker-h5n2s
DEBUG find Folder objects                          
DEBUG delete Folder                                
INFO Destroyed                                     Folder=jima012903-9w5w8
DEBUG delete tag                                   
DEBUG delete tag category                          
DEBUG Purging asset "Metadata" from disk           
DEBUG Purging asset "Terraform Variables" from disk 
DEBUG Purging asset "Kubeconfig Admin Client" from disk 
DEBUG Purging asset "Kubeadmin Password" from disk 
DEBUG Purging asset "Certificate (journal-gatewayd)" from disk 
DEBUG Purging asset "Cluster" from disk            
INFO Time elapsed: 40s

Comment 6 errata-xmlrpc 2021-02-08 13:51:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308


Note You need to log in before you can comment on or make changes to this bug.